%global commit 6b01e8213c77af2cfd1afde8497a9cf98ed488c7
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           webbit
Version:        0.4.15
Release:        1%{?dist}
Summary:        Event-based WebSocket and HTTP server for Java

License:        BSD
URL:            http://webbitserver.org/
Source0:        https://github.com/webbit/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Patch0:         %{name}-0.4.15-skip-thread-leakage-test.patch
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  maven-local
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-dependency-plugin
BuildRequires:  sonatype-oss-parent
BuildRequires:  netty
BuildRequires:  mockito
BuildRequires:  google-gson
Requires:       java
Requires:       jpackage-utils
Requires:       netty

%description
Webbit is an event-based WebSocket and HTTP server for Java.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{name}-%{commit}
# remove bundled deps
rm -r lib
%patch0 -p1

%build
%if 0%{?fedora} >= 19
%mvn_build
%else
mvn-rpmbuild package javadoc:aggregate
%endif

%install
%if 0%{?fedora} >= 19
%mvn_install
%else
install -d -m755 %{buildroot}%{_mavenpomdir}
install -p -m644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
install -d -m755 %{buildroot}%{_javadir}
install -p -m644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -d -m755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%endif

%if 0%{?fedora} >= 19
%files -f .mfiles
%dir %{_javadir}/%{name}
%files javadoc -f .mfiles-javadoc
%else
%files
%doc LICENSE README.md HISTORY.md AUTHORS
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom
%{_javadir}/%{name}.jar
%files javadoc
%doc LICENSE README.md HISTORY.md AUTHORS
%{_javadocdir}/%{name}
%endif

%changelog
* Mon Jun 17 2013 Dan Callaghan <dcallagh@redhat.com> - 0.4.15-1
- updated to upstream release 0.4.15, various other packaging cleanups

* Mon Aug 20 2012 Dan Callaghan <dcallagh@redhat.com> - 0.4.14-1
- initial version
